Bug 844464 - systemd fails to mount /boot after upgrade from 16 to 17
systemd fails to mount /boot after upgrade from 16 to 17
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 14:20 EDT by Trever Adams
Modified: 2012-08-08 19:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 19:43:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2012-07-30 14:20:09 EDT
Description of problem:
I have brought the system complately current. mount -a will mount /boot but systemd fails to do this causing all sorts of headaches.

Version-Release number of selected component (if applicable):
systemd-44-17.fc17.x86_64
Comment 1 Michal Schmidt 2012-07-31 09:37:18 EDT
Please attach your /etc/fstab.
Please attach a log produced using these instrutions:
http://freedesktop.org/wiki/Software/systemd/Debugging#If_You_Can_Get_a_Shell
Comment 2 Trever Adams 2012-08-06 02:08:17 EDT
Some change in software or cleaning up the crap that was in the mount point (files created when the point wasn't mounted) seems to have fixed it. The last reboot mounted /boot properly. I may have this happening on another machine. I will try to reproduce it there. The machine this bug was reported for does very long run processing jobs (months to years) so it is unlikely that it will be down and able to test again. (Power went out. Yes, it should be on a UPS, but I am having trouble finding one that works well with high effeciency power supplies.)
Comment 3 Lennart Poettering 2012-08-08 19:43:22 EDT
OK, closing. Feel free to reopen if you can reproduce this issue so that we can analyze.

Note You need to log in before you can comment on or make changes to this bug.